Subject: Re: [PATCH] execv_git_cmd(): also try PATH if everything else fails.

From: Johannes Sixt <[email-masked]>
Date: Tue, 23 Oct 2007 17:29:49 +0200

Andreas Ericsson schrieb:
> Johannes Sixt wrote:
>> But I can't think of any negative side effect if *all* exec-path 
>> candidates are in $PATH. It's important, though, that all paths are 
>> absolute because the tools chdir every now and then.
>>
> 
> So long as they're added in "success:failed:failed" order, I don't see
> any issues either. Assuming we stop prepending once we find something
> that works, that should be a non-issue.

No, the point is exactly to let execvp() do all the work and we don't care 
which of the paths is the "success". And I don't think that this has any 
negative side effects.

-- Hannes